Passer au contenu

Recover failed deliveries

Redelivers every failed delivery since a time (≤ 14 days). Expired events are skipped unless `includeExpired`.

Cette page n'est pas encore offerte en français; elle est affichée en anglais.
POST
/v1/webhook-endpoints/{endpointId}/recover

Redelivers every failed delivery since a time (≤ 14 days). Expired events are skipped unless includeExpired.

Authorization

AuthorizationBearer <token>

OAuth 2.0 client credentials. private_key_jwt (SMART Backend Services asymmetric) is recommended; client secrets need an IP allowlist or mTLS outside the sandbox.

In: header

Scope: webhooks:write

Path Parameters

endpointId*string

An opaque we_ id.

Match^we_[0-9A-Za-z]{16,64}$

Header Parameters

Api-Version?enum

Overrides the app's pinned dated version for this request.

Idempotency-Key?string

1–255 characters of [A-Za-z0-9._:-] (a UUID v4 is recommended); never PHI. Stored 24 hours per app.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/webhook-endpoints/we_k57a1x2m9q4t8v3w5x1y6z7a8b9c0d1e/recover" \  -H "Content-Type: application/json" \  -d '{    "since": "2026-09-14T00:00:00Z"  }'
{  "object": "webhook_recovery",  "queued": -9007199254740991,  "skippedExpired": -9007199254740991}

Cette page vous a-t-elle été utile?